<template>
  <div class="FieldField__wrapper">
    <div class="preview-image">
      <img :src="imageSrc" class="img img-responsive">

      <a href="javscript:void(0);" class="btn btn-default btn-block btn-flat btn-action" @click="$refs.fileInput.click()"><i class="icon ion-images"></i></a>
    </div>

    <div class="form-group">
      <input
        name="image"
        type="file"
        accept="image/*"
        id="file-field"
        @change="updatePreview"
        style="display:none;"
        ref="fileInput"
        >
    </div>
  </div>
</template>

<script>
import {baseUrl} from './../../config'

export default {

  props: {
    imagePreview: {
      default: baseUrl + '/assets/dashboard/img/default.png',
      type: String
    }
  },

  data () {
    return {
      imageSrc: this.imagePreview
    }
  },

  methods: {
    updatePreview (e) {
      console.log('e', e)
      let reader, files = e.target.files, vm = this

      if (! files.length === 0) return;

      reader = new FileReader();

      reader.onload = (e) => {
        vm.imageSrc = e.target.result
      }

      reader.readAsDataURL(files[0])
    }
  }
}
</script>

<style>
  .preview-image {
    width: 200px;
    border: 1px solid #ddd;
    padding: 5px;
  }
  .preview-image .btn-action {
    margin-top: 5px;
  }
</style>
